summaryrefslogtreecommitdiff
path: root/abe-bisect.sh
diff options
context:
space:
mode:
authorChristophe Lyon <christophe.lyon@linaro.org>2021-02-08 11:51:34 +0000
committerChristophe Lyon <christophe.lyon@linaro.org>2021-02-08 11:57:25 +0000
commit4fef6c7e04e891b0222854d7fee726168c807d32 (patch)
tree7d57d98c0ef382b806742633029084fdef0e9bf1 /abe-bisect.sh
parent979cb5a7b98ff9edb39b6a40a631b795a9fcf54e (diff)
abe-bisect.sh: Split build and test phases for the initial good/bad checks
So that we can run the tests with parallelism disabled to help read the log and debug the problems. This should be OK since we normally run only one testcase, there shouldn't be much slowdown. Change-Id: I1ffad0d2898b35543834501d88f6a9e5222c78c0
Diffstat (limited to 'abe-bisect.sh')
-rwxr-xr-xabe-bisect.sh29
1 files changed, 23 insertions, 6 deletions
diff --git a/abe-bisect.sh b/abe-bisect.sh
index c93a77ba..5d8ec4d0 100755
--- a/abe-bisect.sh
+++ b/abe-bisect.sh
@@ -87,15 +87,24 @@ fi
# Sanity checks on the number of passes/fails in GOOD and BAD
pushd ${rundir} || exit
+
+${ABE}/abe.sh --target ${TARGET} \
+ gcc=gcc.git@${GOODSHA1} \
+ ${GCC_OVERRIDE_CONFIGURE} \
+ --build all &> gcc-${GOODSHA1}.log
+if [ $? -ne 0 ]; then
+ echo "ERROR: failure while building GOOD ($GOODGIT}" | tee -a $MAILBODY
+ exit 1
+fi
${ABE}/abe.sh --target ${TARGET} \
gcc=gcc.git@${GOODSHA1} \
--set runtestflags="${EXP}=${TESTNAME}" \
${GCC_OVERRIDE_CONFIGURE} \
- --build all \
+ --disable parallel \
--check gcc \
- --excludecheck gdb >& gcc-${GOODSHA1}.log
+ --excludecheck gdb &>> gcc-${GOODSHA1}.log
if [ $? -ne 0 ]; then
- echo "ERROR: failure while building/testing GOOD ($GOODGIT}" | tee -a $MAILBODY
+ echo "ERROR: failure while testing GOOD ($GOODGIT}" | tee -a $MAILBODY
exit 1
fi
@@ -105,13 +114,21 @@ good_nb_pass=$(cat $goodsums | grep -wc PASS)
${ABE}/abe.sh --target ${TARGET} \
gcc=gcc.git@${BADSHA1} \
+ ${GCC_OVERRIDE_CONFIGURE} \
+ --build all &> gcc-${BADSHA1}.log
+if [ $? -ne 0 ]; then
+ echo "ERROR: failure while building BAD ($BADGIT}" | tee -a $MAILBODY
+ exit 1
+fi
+${ABE}/abe.sh --target ${TARGET} \
+ gcc=gcc.git@${BADSHA1} \
--set runtestflags="${EXP}=${TESTNAME}" \
${GCC_OVERRIDE_CONFIGURE} \
- --build all \
+ --disable parallel \
--check gcc \
- --excludecheck gdb >& gcc-${BADSHA1}.log
+ --excludecheck gdb &>> gcc-${BADSHA1}.log
if [ $? -ne 0 ]; then
- echo "ERROR: failure while building/testing BAD ($BADGIT}" | tee -a $MAILBODY
+ echo "ERROR: failure while testing BAD ($BADGIT}" | tee -a $MAILBODY
exit 1
fi